#!/bin/bash

source cascade-make/lib/cascade-lib.bash

if [ ! -e $GEXTVIDEO_INSTALLED ] ; then
  echo "Creating $GEXTVIDEO_INSTALLED"
  mkdir $GEXTVIDEO_INSTALLED
fi

dirlist="runtime-srcpack"

for d in $dirlist ; do
  echo "Running $d/CASCADE-MAKE.sh $*"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done


if [ $install = "1" ] ; then
  cat README.txt
fi
