#!/bin/bash

package=icon-naming-utils
version=-0.8.2

progname=$0

source ../../cascade-make/lib/cascade-lib.bash

prefix=$GEXTMUSICSTAND_INSTALLED

export CFLAGS="-I$prefix/include"
export LDFLAGS="-L$prefix/lib"


opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version "$prefix"

if [ $configure = "1" ] ; then
  echo "If configure fails because it cannot detect XML::Simple"
  echo "then one solution is do the following sudo command: "
  echo "sudo perl -MCPAN -e 'install XML::Simple'"
fi

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
